mime.MimeMessage Class Reference

Enhance email.message.Message. More...

Inheritance diagram for mime.MimeMessage:

## Public Member Functions

def | __init__ (self, fp=None, seekable=1)
def | get_param (self, param, failobj=None, header='content-type', unquote=True)
def | getparams (self)
def | getname (self)
def | getnames (self, scan_zip=False)
def | ismodified (self)
def | dump (self, file, unixfrom=False)
def | as_bytes (self, unixfrom=False)
def | getencoding (self)
def | decode (self, filt)
def | get_payload_decoded (self)
def | __setitem__ (self, name, value)
def | __delitem__ (self, name)
def | get_payload (self, i=None, decode=False)
def | set_payload (self, val, charset=None)
def | get_submsg (self)

## Public Attributes

| submsg
| modified

## Static Public Attributes

| headerchange
| Provide a headerchange event for integration with Milter. More...
| getfilename = Message.get_filename
| ismultipart = Message.is_multipart
| getheaders = Message.get_all
| gettype = Message.get_content_type
def | getparam = Message.get_param

## Detailed Description

Enhance email.message.Message.

Tracks modifications to headers of body or any part independently.

    Version of email.Message.Message compatible with old mime module

## Member Function Documentation

## getnames()

def mime.MimeMessage.getnames | ( |  | self,
|  |  | scan_zip = `False`
| ) |  |

    Return a list of (attr,name) pairs of attributes that IE might
       interpret as a name - and hence decide to execute this message.

References mime.MimeMessage.dump(), Milter.config.MilterConfigParser.get(), mime.MimeMessage.get_payload(), mime.MimeMessage.getencoding(), mime.MimeMessage.headerchange, mime.MimeMessage.modified, mime.HTMLScriptFilter.modified, mime.MimeMessage.set_payload(), mime.MimeMessage.submsg, and mime.zipnames().

## Member Data Documentation

## headerchange

mime.MimeMessage.headerchange

static

Provide a headerchange event for integration with Milter.

The headerchange attribute can be assigned a function to be called when changing headers. The signature is: headerchange(msg,name,value) -> None

Referenced by mime.MimeMessage.getnames().

The documentation for this class was generated from the following file:

- mime.py